установка актуальной версии nodejs

Проблема с установкой модулей в nodejs часто связана с тем, каким образом установлен сам фреймворк.

В пакетах, идущих с системой, более старыее версии, и это часто влияет на зависимости модулей.

Отностиельно быстрый способ сделать правильно, такой :

  1. wget https://nodejs.org/dist/latest/node-v4.1.0-linux-x64.tar.gz
  2. sudo tar C /usr/local stripcomponents 1 xzf node-v4.1.0-linux-x64.tar.gz
  3. ls l /usr/local/bin/node
    ls l /usr/local/bin/npm

Оставить комментарий

Можно использовать следующие HTML тэги:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>